Why do I use 5 SDK without stereo effects?

0 votes
asked Sep 22 by 18813063735@163.com (16 points)
Could you tell me a detailed setup procedure?

1 Answer

0 votes
answered Sep 25 by AlexShorey (40 points)
Hi there, I'll assume your question is "How do I use the version #5 Unity3D zSpace plugin without stereo effects?"

If that's the case, could you describe your intentions in more detail?

Are you intending to write code for situations in which the glasses are not worn by the user? In this case, the plugin should already transition to a non-stereo visualization of the scene automatically when the glasses are not within tracking range of the display.

Are you intending to write and test software from a pc that isn't a zSpace model? If this is the case, I wouldn't recommend it. You really do need a zSpace display to write and test software in a practical manner for the platform.

Please feel free to describe your situation in more detail and I'll be happy to provide more guidance.

Alex S.
commented Sep 25 by 18813063735@163.com (16 points)
I'm mostly doing case development on ZSPACE, and I've been using version 4 plugins, but recently I found that version 4 had some problems with the release of the case, and the requirements for the unity version were stricter. So I'd like to use version 5 for case development, but I'll set it up according to the relevant development instructions, or I can't show the stereoscopic display of the scene. Can you tell me what caused the problem? Are there any special requirements for the parameter settings or usage?
commented Sep 26 by AlexShorey (40 points)
I see, thank you for the further elaboration. My understanding is that you have a Unity project that won't display in stereo. Without seeing the project in person, I'll still need a little more information to diagnose why the project may not be properly rendering in stereo. Was your project originally written with the version 4 plugin, and now no longer renders in stereo with the newer version 5? Do the sample scenes provided with the version 5 plugin render stereo properly? Are there any console errors to share that might be related?

This is a shot in the dark, but render pipeline support has changed in the new version 5.
This means the legacy opengl 2.1 is no longer supported.
The command line arguments for launching the Unity Editor have also changed.
These two are no longer supported.
 -enable-stereoscopic3d
 -force-opengl

These two are now supported/required.
 -vrmode​ ​stereo​ ​(required)
-force-glcore​ ​(optional​ ​if​ ​enabling​ ​the​ ​GLCore​ ​rendering​ ​pipeline​ ​is​ ​desired​ ​- however,​ ​D3D11​ ​is​ ​preferred​ ​and​ ​enabled​ ​by​ ​default)

This is the most general help I can offer if the problem happens to concern a transition from plugin version 4 to 5. For more information regarding this, I recommend reading the version 5 sdk release notes.
https://cdn.zspace.com/downloads/unity/zCore/zCore_Unity_Plugin_5.0.0_-_Release_Notes.pdf
...